package lols.client;

import lols.auth.api.AuthService;
import lols.auth.api.Credentials;
import lols.core.common.TokenStore;

public class SessionFactory {

    private TokenStore tokenStore;

    private AuthService authService;

    public SessionFactory(AuthService authService, TokenStore tokenStore) {
        this.authService = authService;
        this.tokenStore = tokenStore;
    }

    public void startSession(Credentials credentials) {
        String token = authService.login(credentials);
        tokenStore.storeToken(token);
    }

}
